Bug 192631 - rpm -qlv should output security context as well
rpm -qlv should output security context as well
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-21 20:43 EDT by Christian Krause
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-29 08:27:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Krause 2006-05-21 20:43:47 EDT
This is a feature request:

rpm -V shows me that the security context of some files differs between the
installed file and the stored information in the rpm database.

To have a look at these problems I want to compare the security context. For the
installed files I can use ls -Z, but I didn't found a way to display the
security context of the rpm database with rpm -qlv.

I've already looked into the source of rpm and it seems, that this function is
just not implemented.

I'm not sure whether this is the correct place to report such problems. If it is
not, please redirect me. :-)

Thx.
Comment 1 Jeff Johnson 2006-05-29 08:27:12 EDT
The difference is between what policy is configured and what is in xattr's on the file system.

No security context information comes from the rpmdb. In fact, rpm should not be attempting to compare 
information for which no authoritative (what happens to be installed through policy-of-the-day is not 
authoritative) reference copy of policy exists.

Note You need to log in before you can comment on or make changes to this bug.